> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Currencies Real-time Quotes

> Connect to this channel to receive real-time quotes for currencies. After connecting, send a `Subscribe` message with the symbols you want to track. See [Available Currencies](/docs/api-reference/currencies/available-symbols) for a list of supported symbols. See the [Websocket API Quickstart](/docs/quickstart/websocket-api) for example usage.



## AsyncAPI

````yaml asyncapi.yml currenciesQuotes
id: currenciesQuotes
title: Currencies Real-time Quotes
description: >-
  Connect to this channel to receive real-time quotes for currencies. After
  connecting, send a `Subscribe` message with the symbols you want to track. See
  [Available Currencies](/docs/api-reference/currencies/available-symbols) for a
  list of supported symbols. See the [Websocket API
  Quickstart](/docs/quickstart/websocket-api) for example usage.
servers:
  - id: websocket
    protocol: wss
    host: api.tradewatch.io
    bindings: []
    variables: []
address: /currencies/quotes
parameters: []
bindings: []
operations:
  - &ref_4
    id: currenciesReceiveMessages
    title: Currencies receive messages
    type: send
    messages:
      - &ref_8
        id: Pong
        payload:
          - name: Pong
            type: object
            properties:
              - name: event
                type: string
                description: pong
                required: false
              - name: timestamp
                type: string
                description: Server timestamp
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            event:
              type: string
              const: pong
              x-parser-schema-id: <anonymous-schema-4>
            timestamp:
              type: string
              description: Server timestamp
              x-parser-schema-id: <anonymous-schema-5>
          x-parser-schema-id: <anonymous-schema-3>
        title: Pong
        example: |-
          {
            "event": "pong",
            "timestamp": "1767225601000"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Pong
          - id: x-parser-message-name
            value: Pong
      - &ref_9
        id: Subscribe
        payload:
          - name: Subscribe
            type: object
            properties:
              - name: action
                type: string
                description: subscribe
                required: false
              - name: symbols
                type: array
                description: List of symbols to subscribe to
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
        headers: []
        jsonPayloadSchema: &ref_0
          type: object
          properties:
            action:
              type: string
              const: subscribe
              x-parser-schema-id: <anonymous-schema-7>
            symbols:
              type: array
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-9>
              description: List of symbols to subscribe to
              x-parser-schema-id: <anonymous-schema-8>
          x-parser-schema-id: <anonymous-schema-6>
        title: Subscribe
        example: |-
          {
            "action": "subscribe",
            "symbols": [
              "EURUSD",
              "GBPUSD",
              "USDJPY"
            ]
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Subscribe
          - id: x-parser-message-name
            value: Subscribe
      - &ref_10
        id: Unsubscribe
        payload:
          - name: Unsubscribe
            type: object
            properties:
              - name: action
                type: string
                description: unsubscribe
                required: false
              - name: symbols
                type: array
                description: List of symbols to unsubscribe from
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
        headers: []
        jsonPayloadSchema: &ref_1
          type: object
          properties:
            action:
              type: string
              const: unsubscribe
              x-parser-schema-id: <anonymous-schema-11>
            symbols:
              type: array
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-13>
              description: List of symbols to unsubscribe from
              x-parser-schema-id: <anonymous-schema-12>
          x-parser-schema-id: <anonymous-schema-10>
        title: Unsubscribe
        example: |-
          {
            "action": "unsubscribe",
            "symbols": [
              "EURUSD"
            ]
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Unsubscribe
          - id: x-parser-message-name
            value: Unsubscribe
      - &ref_11
        id: Status
        payload:
          - name: Status
            type: object
            properties:
              - name: event
                type: string
                description: status
                required: false
              - name: symbols
                type: array
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            event:
              type: string
              const: status
              x-parser-schema-id: <anonymous-schema-15>
            symbols:
              type: array
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-17>
              x-parser-schema-id: <anonymous-schema-16>
          x-parser-schema-id: <anonymous-schema-14>
        title: Status
        example: |-
          {
            "event": "status",
            "symbols": [
              "USDJPY",
              "GBPUSD",
              "EURUSD"
            ]
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Status
          - id: x-parser-message-name
            value: Status
      - &ref_12
        id: Quote
        payload:
          - name: Quote
            type: object
            properties:
              - name: symbol
                type: string
                required: false
              - name: timestamp
                type: string
                required: false
              - name: ask
                type: string
                required: false
              - name: bid
                type: string
                required: false
              - name: mid
                type: string
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            symbol:
              type: string
              x-parser-schema-id: <anonymous-schema-19>
            timestamp:
              type: string
              x-parser-schema-id: <anonymous-schema-20>
            ask:
              type: string
              x-parser-schema-id: <anonymous-schema-21>
            bid:
              type: string
              x-parser-schema-id: <anonymous-schema-22>
            mid:
              type: string
              x-parser-schema-id: <anonymous-schema-23>
          x-parser-schema-id: <anonymous-schema-18>
        title: Quote
        example: |-
          {
            "symbol": "USDJPY",
            "timestamp": "1767389242690",
            "ask": "156.879",
            "bid": "156.864",
            "mid": "156.8715"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Quote
          - id: x-parser-message-name
            value: Quote
      - &ref_13
        id: Error
        payload:
          - name: Error
            type: object
            properties:
              - name: event
                type: string
                description: error
                required: false
              - name: errorMessage
                type: string
                description: Description of the error
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            event:
              type: string
              const: error
              x-parser-schema-id: <anonymous-schema-25>
            errorMessage:
              type: string
              description: Description of the error
              x-parser-schema-id: <anonymous-schema-26>
          x-parser-schema-id: <anonymous-schema-24>
        title: Error
        example: |-
          {
            "event": "error",
            "errorMessage": "You are already subscribed to EURUSD, GBPUSD"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Error
          - id: x-parser-message-name
            value: Error
    bindings: []
    extensions: &ref_2
      - id: x-parser-unique-object-id
        value: currenciesQuotes
  - &ref_3
    id: currenciesSendMessages
    title: Currencies send messages
    type: receive
    messages:
      - &ref_5
        id: Ping
        payload:
          - name: Ping
            type: object
            properties:
              - name: action
                type: string
                description: ping
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            action:
              type: string
              const: ping
              x-parser-schema-id: <anonymous-schema-2>
          x-parser-schema-id: <anonymous-schema-1>
        title: Ping
        example: |-
          {
            "action": "ping"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Ping
          - id: x-parser-message-name
            value: Ping
      - &ref_6
        id: Subscribe
        payload:
          - name: Subscribe
            type: object
            properties:
              - name: action
                type: string
                description: subscribe
                required: false
              - name: symbols
                type: array
                description: List of symbols to subscribe to
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
        headers: []
        jsonPayloadSchema: *ref_0
        title: Subscribe
        example: |-
          {
            "action": "subscribe",
            "symbols": [
              "EURUSD",
              "GBPUSD",
              "USDJPY"
            ]
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Subscribe
          - id: x-parser-message-name
            value: Subscribe
      - &ref_7
        id: Unsubscribe
        payload:
          - name: Unsubscribe
            type: object
            properties:
              - name: action
                type: string
                description: unsubscribe
                required: false
              - name: symbols
                type: array
                description: List of symbols to unsubscribe from
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
        headers: []
        jsonPayloadSchema: *ref_1
        title: Unsubscribe
        example: |-
          {
            "action": "unsubscribe",
            "symbols": [
              "EURUSD"
            ]
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: Unsubscribe
          - id: x-parser-message-name
            value: Unsubscribe
    bindings: []
    extensions: *ref_2
sendOperations:
  - *ref_3
receiveOperations:
  - *ref_4
sendMessages:
  - *ref_5
  - *ref_6
  - *ref_7
receiveMessages:
  - *ref_8
  - *ref_9
  - *ref_10
  - *ref_11
  - *ref_12
  - *ref_13
extensions:
  - id: x-parser-unique-object-id
    value: currenciesQuotes
securitySchemes:
  - id: apiKey
    name: apiKey
    type: apiKey
    description: Send API key as header or query param
    in: user
    extensions: []

````